/*!
 * UI development toolkit for HTML5 (OpenUI5)
 * (c) Copyright 2009-2016 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(['jquery.sap.global','./ListItemBaseRenderer','./ListRenderer','sap/ui/core/Renderer'],function(q,L,a,R){"use strict";var C=R.extend(L);C.isTextualControl=function(c){var m=[sap.m.Text,sap.m.Label,sap.m.Link,sap.m.Title];return m.some(function(f){return f&&c instanceof f;});};C.render=function(r,l){var t=l.getTable();if(!t){return;}L.render.apply(this,arguments);if(l.getVisible()&&t.hasPopin()){this.renderPopin(r,l,t);}};C.openItemTag=function(r,l){r.write("<tr");};C.closeItemTag=function(r,l){r.write("</tr>");};C.renderHighlight=function(r,l){r.write('<td class="sapMListTblHighlightCell" aria-hidden="true">');L.renderHighlight.apply(this,arguments);r.write('</td>');};C.renderType=function(r,l){r.write('<td class="sapMListTblNavCol" aria-hidden="true">');L.renderType.apply(this,arguments);r.write('</td>');};C.renderModeContent=function(r,l){r.write('<td class="sapMListTblSelCol" aria-hidden="true">');L.renderModeContent.apply(this,arguments);r.write('</td>');};C.renderCounter=function(r,l){};C.getAriaRole=function(l){return"";};C.renderLIAttributes=function(r,l){r.addClass("sapMListTblRow");var A=l.getVAlign();if(A!=sap.ui.core.VerticalAlign.Inherit){r.addClass("sapMListTblRow"+A);}};C.renderLIContentWrapper=function(r,l){var t=l.getTable();if(!t){return;}var c=t.getColumns(true),b=l.getCells();l._destroyClonedHeaders();c.forEach(function(o,i){var d,h,e=true,f=b[o.getInitialOrder()];if(!f||!o.getVisible()||o.isPopin()){o.setIndex(-1);return;}r.write("<td");r.addClass("sapMListTblCell");r.writeAttribute("id",l.getId()+"_cell"+i);if(o){d=o.getStyleClass(true);d&&r.addClass(q.sap.encodeHTML(d));h=o.getHeader();if(h){r.writeAttribute("headers",h.getId());}if(!t.hasPopin()&&o.getMergeDuplicates()){var F=o.getMergeFunctionName(),g=F.split("#"),s=g[1],j=g[0];if(typeof f[j]!="function"){q.sap.log.warning("mergeFunctionName property is defined on "+o+" but this is not function of "+f);}else{var k=o.getLastValue(),m=f[j](s);if(k===m){e=sap.ui.getCore().getConfiguration().getAccessibility();f.addStyleClass("sapMListTblCellDupCnt");r.addClass("sapMListTblCellDup");}else{o.setLastValue(m);}}}o.getVAlign()!="Inherit"&&r.addStyle("vertical-align",o.getVAlign().toLowerCase());var A=o.getCssAlign();if(A){r.addStyle("text-align",A);}r.writeStyles();}r.writeClasses();r.write(">");if(e){this.applyAriaLabelledBy(h,f);r.renderControl(o.applyAlignTo(f));}r.write("</td>");},this);};C.applyAriaLabelledBy=function(h,c){if(c){c.removeAssociation("ariaLabelledBy",c.data("ariaLabelledBy")||undefined,true);}if(h&&c.getAriaLabelledBy&&this.isTextualControl(h)){c.addAssociation("ariaLabelledBy",h,true);c.data("ariaLabelledBy",h.getId());}};C.renderPopin=function(r,l,t){l.removePopin();r.write("<tr");r.addClass("sapMListTblSubRow");r.writeElementData(l.getPopin());r.writeAttribute("tabindex","-1");if(l.isSelectable()){r.writeAttribute("aria-selected",l.getSelected());}r.writeClasses();r.write(">");this.renderHighlight(r,l);r.write("<td");r.writeAttribute("id",l.getId()+"-subcell");r.writeAttribute("colspan",t.getColCount()-1);r.write("><div class='sapMListTblSubCnt'>");var c=l.getCells(),b=t.getColumns(true);b.forEach(function(o){if(!o.getVisible()||!o.isPopin()){return;}var d=c[o.getInitialOrder()],h=o.getHeader();if(!h&&!d){return;}var s=o.getStyleClass(),p=o.getPopinDisplay();r.write("<div");r.addClass("sapMListTblSubCntRow");s&&r.addClass(q.sap.encodeHTML(s));r.writeClasses();r.write(">");if(h&&p!=sap.m.PopinDisplay.WithoutHeader){r.write("<div");r.addClass("sapMListTblSubCntHdr");r.writeClasses();r.write(">");h=h.clone();o.addDependent(h);l._addClonedHeader(h);o.applyAlignTo(h,"Begin");r.renderControl(h);r.write("</div>");r.write("<div class='sapMListTblSubCntSpr'>:</div>");}if(d){r.write("<div");r.addClass("sapMListTblSubCntVal");r.addClass("sapMListTblSubCntVal"+p);r.writeClasses();r.write(">");o.applyAlignTo(d,"Begin");this.applyAriaLabelledBy(h,d);r.renderControl(d);r.write("</div>");}r.write("</div>");},this);r.write("</div></td></tr>");};C.addLegacyOutlineClass=function(r,l){};return C;},true);
