/*!
 * UI development toolkit for HTML5 (OpenUI5)
 * (c) Copyright 2009-2016 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(['jquery.sap.global','sap/ui/core/Control','sap/ui/core/LocaleData','./PlanningCalendarRow','./library','sap/ui/unified/library','sap/ui/unified/calendar/CalendarUtils','sap/ui/unified/CalendarWeekInterval'],function(q,C,L,P,l,u,a,b){"use strict";var c=C.extend("sap.m.PlanningCalendar",{metadata:{library:"sap.m",properties:{startDate:{type:"object",group:"Data"},viewKey:{type:"string",group:"Appearance",defaultValue:sap.ui.unified.CalendarIntervalType.Hour},singleSelection:{type:"boolean",group:"Misc",defaultValue:true},width:{type:"sap.ui.core.CSSSize",group:"Dimension",defaultValue:null},height:{type:"sap.ui.core.CSSSize",group:"Dimension",defaultValue:null},showIntervalHeaders:{type:"boolean",group:"Appearance",defaultValue:true},showEmptyIntervalHeaders:{type:"boolean",group:"Appearance",defaultValue:true},showRowHeaders:{type:"boolean",group:"Appearance",defaultValue:true},noDataText:{type:"string",group:"Misc",defaultValue:null},appointmentsReducedHeight:{type:"boolean",group:"Appearance",defaultValue:false},appointmentsVisualization:{type:"sap.ui.unified.CalendarAppointmentVisualization",group:"Appearance",defaultValue:sap.ui.unified.CalendarAppointmentVisualization.Standard},minDate:{type:"object",group:"Misc",defaultValue:null},maxDate:{type:"object",group:"Misc",defaultValue:null}},aggregations:{rows:{type:"sap.m.PlanningCalendarRow",multiple:true,singularName:"row"},views:{type:"sap.m.PlanningCalendarView",multiple:true,singularName:"view"},specialDates:{type:"sap.ui.unified.DateTypeRange",multiple:true,singularName:"specialDate"},toolbarContent:{type:"sap.ui.core.Control",multiple:true,singularName:"toolbarContent"},table:{type:"sap.m.Table",multiple:false,visibility:"hidden"}},associations:{ariaLabelledBy:{type:"sap.ui.core.Control",multiple:true,singularName:"ariaLabelledBy"},legend:{type:"sap.ui.unified.CalendarLegend",multiple:false}},events:{appointmentSelect:{parameters:{appointment:{type:"sap.ui.unified.CalendarAppointment"},appointments:{type:"sap.ui.unified.CalendarAppointment[]"},multiSelect:{type:"boolean"}}},intervalSelect:{parameters:{startDate:{type:"object"},endDate:{type:"object"},subInterval:{type:"boolean"},row:{type:"sap.m.PlanningCalendarRow"}}},rowSelectionChange:{parameters:{rows:{type:"sap.m.PlanningCalendarRow[]"}}},startDateChange:{},viewChange:{}}}});var I=["_oTimeInterval","_oDateInterval","_oMonthInterval","_oWeekInterval"];var d=sap.ui.core.Control.extend("CalendarHeader",{metadata:{aggregations:{"toolbar":{type:"sap.m.Toolbar",multiple:false},"allCheckBox":{type:"sap.m.CheckBox",multiple:false}}},renderer:function(R,H){R.write("<div");R.writeControlData(H);R.addClass("sapMPlanCalHead");R.writeClasses();R.write(">");var T=H.getToolbar();if(T){R.renderControl(T);}var A=H.getAllCheckBox();if(A){R.renderControl(A);}R.write("</div>");}});c.prototype.init=function(){this._iBreakPointTablet=sap.ui.Device.media._predefinedRangeSets[sap.ui.Device.media.RANGESETS.SAP_STANDARD_EXTENDED].points[0];this._iBreakPointDesktop=sap.ui.Device.media._predefinedRangeSets[sap.ui.Device.media.RANGESETS.SAP_STANDARD_EXTENDED].points[1];this._iBreakPointLargeDesktop=sap.ui.Device.media._predefinedRangeSets[sap.ui.Device.media.RANGESETS.SAP_STANDARD_EXTENDED].points[2];if(sap.ui.Device.system.phone||q('html').hasClass("sapUiMedia-Std-Phone")){this._iSize=0;this._iSizeScreen=0;}else if(sap.ui.Device.system.tablet||q('html').hasClass("sapUiMedia-Std-Tablet")){this._iSize=1;this._iSizeScreen=1;}else{this._iSize=2;this._iSizeScreen=2;}this._oRB=sap.ui.getCore().getLibraryResourceBundle("sap.m");var i=this.getId();this._oIntervalTypeSelect=new sap.m.Select(i+"-IntType",{maxWidth:"15rem",ariaLabelledBy:i+"-SelDescr"});this._oIntervalTypeSelect.attachEvent("change",_,this);this._oTodayButton=new sap.m.Button(i+"-Today",{text:this._oRB.getText("PLANNINGCALENDAR_TODAY"),type:sap.m.ButtonType.Transparent});this._oTodayButton.attachEvent("press",e,this);this._oHeaderToolbar=new sap.m.Toolbar(i+"-HeaderToolbar",{design:sap.m.ToolbarDesign.Transparent,content:[this._oIntervalTypeSelect,this._oTodayButton]});this._oCalendarHeader=new d(i+"-CalHead",{toolbar:this._oHeaderToolbar});this._oInfoToolbar=new sap.m.Toolbar(i+"-InfoToolbar",{height:"auto",design:sap.m.ToolbarDesign.Transparent,content:[this._oCalendarHeader,this._oTimeInterval]});var T=new sap.m.Table(i+"-Table",{infoToolbar:this._oInfoToolbar,mode:sap.m.ListMode.SingleSelectMaster,columns:[new sap.m.Column({styleClass:"sapMPlanCalRowHead"}),new sap.m.Column({width:"80%",styleClass:"sapMPlanCalAppRow",minScreenWidth:sap.m.ScreenSize.Desktop,demandPopin:true})],ariaLabelledBy:i+"-Descr"});T.attachEvent("selectionChange",n,this);this.setAggregation("table",T,true);this.setStartDate(new Date());this._resizeProxy=q.proxy(k,this);};c.prototype.exit=function(){if(this._sResizeListener){sap.ui.core.ResizeHandler.deregister(this._sResizeListener);this._sResizeListener=undefined;}if(this._sUpdateCurrentTime){q.sap.clearDelayedCall(this._sUpdateCurrentTime);this._sUpdateCurrentTime=undefined;}var T=this.getAggregation("table");T.removeAllItems();I.forEach(function(j){if(this[j]){this[j]._oPlanningCalendar=undefined;this[j].destroy();this[j]=undefined;}},this);if(this._aViews){for(var i=0;i<this._aViews.length;i++){this._aViews[i].destroy();}}if(this._oSelectAllCheckBox){this._oSelectAllCheckBox.destroy();}if(this.getToolbarContent().length==0&&this._oToolbar){this._oToolbar.destroy();this._oToolbar=undefined;}};c.prototype.onBeforeRendering=function(){this._bBeforeRendering=true;if((!this._oTimeInterval&&!this._oDateInterval&&!this._oMonthInterval&&!this._oWeekInterval)||this._bCheckView){this.setViewKey(this.getViewKey());this._bCheckView=undefined;}s.call(this);if(this._sUpdateCurrentTime){q.sap.clearDelayedCall(this._sUpdateCurrentTime);this._sUpdateCurrentTime=undefined;}this._updateTodayButtonState();this._bBeforeRendering=undefined;};c.prototype._updateTodayButtonState=function(){if(this.getViewKey()===sap.ui.unified.CalendarIntervalType.Week&&this._oTodayButton){this._oTodayButton.setEnabled(!this._dateMatchesVisibleRange(new Date(),this.getViewKey()));}else{this._oTodayButton.setEnabled(true);}};c.prototype._dateMatchesVisibleRange=function(D,V){var i=this._getView(V,!this._bBeforeRendering),j=this._getIntervals(i),U=a._createUniversalUTCDate(D),A=a._createUniversalUTCDate(this.getStartDate()),B=a._createUniversalUTCDate(this.getStartDate());B.setUTCDate(B.getUTCDate()+j);return U.getTime()>=A&&U.getTime()<B;};c.prototype.onAfterRendering=function(E){E.size={width:this.getDomRef().offsetWidth};k.call(this,E,true);if(!this._sResizeListener){this._sResizeListener=sap.ui.core.ResizeHandler.register(this,this._resizeProxy);}this._updateCurrentTimeVisualization(false);};c.prototype.setStartDate=function(S){var F;if(!S){S=new Date();}if(!(S instanceof Date)){throw new Error("Date must be a JavaScript date object; "+this);}if(this.getViewKey()===sap.ui.unified.CalendarIntervalType.Week){F=a.getFirstDateOfWeek(a._createUniversalUTCDate(S,undefined,true));S.setTime(a._createLocalDate(F,true).getTime());}if(q.sap.equal(S,this.getStartDate())){this._updateTodayButtonState();return this;}var Y=S.getFullYear();if(Y<1||Y>9999){throw new Error("Date must not be in valid range (between 0001-01-01 and 9999-12-31); "+this);}var M=this.getMinDate();if(M&&M.getTime()>S.getTime()){q.sap.log.warning("StartDate < minDate -> StartDate set to minDate",this);S=new Date(M.getTime());}else{var j=this.getMaxDate();if(j&&j.getTime()<S.getTime()){q.sap.log.warning("StartDate > maxDate -> StartDate set to minDate",this);if(M){S=new Date(M.getTime());}else{S=new Date(1,0,1);S.setFullYear(1);}}}this.setProperty("startDate",S,true);I.forEach(function(B){if(this[B]){this[B].setStartDate(new Date(S.getTime()));}},this);var R=this.getRows();for(var i=0;i<R.length;i++){var A=R[i];A.getCalendarRow().setStartDate(new Date(S.getTime()));}if(this.getViewKey()===sap.ui.unified.CalendarIntervalType.Week){this._updateTodayButtonState();}if(this.getDomRef()){this._updateCurrentTimeVisualization(false);}return this;};c.prototype.setMinDate=function(D){if(q.sap.equal(D,this.getMinDate())){return this;}var M=this.getMaxDate();if(D){if(!(D instanceof Date)){throw new Error("Date must be a JavaScript date object; "+this);}var Y=D.getFullYear();if(Y<1||Y>9999){throw new Error("Date must not be in valid range (between 0001-01-01 and 9999-12-31); "+this);}this.setProperty("minDate",D,true);this._bNoStartDateChange=true;I.forEach(function(i){if(this[i]){this[i].setMinDate(new Date(D.getTime()));}},this);if(M&&M.getTime()<D.getTime()){q.sap.log.warning("minDate > maxDate -> maxDate set to end of the month",this);M=new Date(D.getTime());M.setMonth(M.getMonth()+1,0);M.setHours(23);M.setMinutes(59);M.setSeconds(59);M.setMilliseconds(0);this.setMaxDate(M);}this._bNoStartDateChange=undefined;var S=this.getStartDate();if(S&&S.getTime()<D.getTime()){q.sap.log.warning("StartDate < minDate -> StartDate set to minDate",this);S=new Date(D.getTime());this.setStartDate(S);}}else{this.setProperty("minDate",undefined,true);I.forEach(function(i){if(this[i]){this[i].setMinDate();}},this);}var T=new Date();if(D&&T.getTime()<D.getTime()){this._oTodayButton.setVisible(false);}else if(!M||T.getTime()<M.getTime()){this._oTodayButton.setVisible(true);}return this;};c.prototype.setMaxDate=function(D){if(q.sap.equal(D,this.getMaxDate())){return this;}var M=this.getMinDate();if(D){if(!(D instanceof Date)){throw new Error("Date must be a JavaScript date object; "+this);}var Y=D.getFullYear();if(Y<1||Y>9999){throw new Error("Date must not be in valid range (between 0001-01-01 and 9999-12-31); "+this);}this.setProperty("maxDate",D,true);this._bNoStartDateChange=true;I.forEach(function(i){if(this[i]){this[i].setMaxDate(new Date(D.getTime()));}},this);if(M&&M.getTime()>D.getTime()){q.sap.log.warning("maxDate < minDate -> maxDate set to begin of the month",this);M=new Date(D.getTime());M.setUTCDate(1);M.setHours(0);M.setMinutes(0);M.setSeconds(0);M.setMilliseconds(0);this.setMinDate(M);}this._bNoStartDateChange=undefined;var S=this.getStartDate();if(S&&S.getTime()>D.getTime()){q.sap.log.warning("StartDate > maxDate -> StartDate set to minDate",this);if(M){S=new Date(M.getTime());}else{S=new Date(1,0,1);S.setFullYear(1);}this.setStartDate(S);}}else{this.setProperty("maxDate",undefined,true);I.forEach(function(i){if(this[i]){this[i].setMaxDate();}},this);}var T=new Date();if(D&&T.getTime()>D.getTime()){this._oTodayButton.setVisible(false);}else if(!M||T.getTime()>M.getTime()){this._oTodayButton.setVisible(true);}return this;};c.prototype.setViewKey=function(K){var D,j,A,B,O;this.setProperty("viewKey",K,true);this._oIntervalTypeSelect.setSelectedKey(K);if(this._oInfoToolbar.getContent().length>1){this._oInfoToolbar.removeContent(1);}if(K===sap.ui.unified.CalendarIntervalType.Week){O=this.getStartDate();this.setStartDate(new Date(O.getTime()));if(O.getTime()!==this.getStartDate().getTime()){this.fireStartDateChange();}}else{this._updateTodayButtonState();}var S=this.getStartDate();var M=this.getMinDate();var E=this.getMaxDate();var V=this._getView(K,!this._bBeforeRendering);if(!V){this._bCheckView=true;this.invalidate();}else{var F=V.getIntervalType();var G=this._getIntervals(V);this._bCheckView=false;switch(F){case sap.ui.unified.CalendarIntervalType.Hour:if(!this._oTimeInterval){this._oTimeInterval=new sap.ui.unified.CalendarTimeInterval(this.getId()+"-TimeInt",{startDate:new Date(S.getTime()),items:G,pickerPopup:true});this._oTimeInterval.attachEvent("startDateChange",f,this);this._oTimeInterval.attachEvent("select",g,this);this._oTimeInterval._oPlanningCalendar=this;this._oTimeInterval.getSpecialDates=function(){return this._oPlanningCalendar.getSpecialDates();};if(M){this._oTimeInterval.setMinDate(new Date(M.getTime()));}if(E){this._oTimeInterval.setMaxDate(new Date(E.getTime()));}}else if(this._oTimeInterval.getItems()!=G){this._oTimeInterval.setItems(G);}this._oInfoToolbar.addContent(this._oTimeInterval);break;case sap.ui.unified.CalendarIntervalType.Day:case sap.ui.unified.CalendarIntervalType.Week:if(F===sap.ui.unified.CalendarIntervalType.Day){D="_oDateInterval";j="-DateInt";B=sap.ui.unified.CalendarDateInterval;}else{D="_oWeekInterval";j="-WeekInt";B=b;}A=this[D];if(!A){A=new B(this.getId()+j,{startDate:new Date(S.getTime()),days:G,showDayNamesLine:false,pickerPopup:true});A.attachEvent("startDateChange",f,this);A.attachEvent("select",g,this);A._oPlanningCalendar=this;A.getSpecialDates=function(){return this._oPlanningCalendar.getSpecialDates();};if(M){A.setMinDate(new Date(M.getTime()));}if(E){A.setMaxDate(new Date(E.getTime()));}}else if(A.getDays()!==G){A.setDays(G);}this._oInfoToolbar.addContent(A);this[D]=A;break;case sap.ui.unified.CalendarIntervalType.Month:if(!this._oMonthInterval){this._oMonthInterval=new sap.ui.unified.CalendarMonthInterval(this.getId()+"-MonthInt",{startDate:new Date(S.getTime()),months:G,pickerPopup:true});this._oMonthInterval.attachEvent("startDateChange",f,this);this._oMonthInterval.attachEvent("select",g,this);this._oMonthInterval._oPlanningCalendar=this;this._oMonthInterval.getSpecialDates=function(){return this._oPlanningCalendar.getSpecialDates();};if(M){this._oMonthInterval.setMinDate(new Date(M.getTime()));}if(E){this._oMonthInterval.setMaxDate(new Date(E.getTime()));}}else if(this._oMonthInterval.setMonths()!=G){this._oMonthInterval.setMonths(G);}this._oInfoToolbar.addContent(this._oMonthInterval);break;default:throw new Error("Unknown IntervalType: "+F+"; "+this);}var R=this.getRows();for(var i=0;i<R.length;i++){var H=R[i];var J=H.getCalendarRow();J.setIntervalType(F);J.setIntervals(G);J.setShowSubIntervals(V.getShowSubIntervals());}if(this.getDomRef()){this._updateCurrentTimeVisualization(false);}}return this;};c.prototype.setShowIntervalHeaders=function(S){this.setProperty("showIntervalHeaders",S,true);var R=this.getRows();for(var i=0;i<R.length;i++){var j=R[i];j.getCalendarRow().setShowIntervalHeaders(S);}return this;};c.prototype.setShowEmptyIntervalHeaders=function(S){this.setProperty("showEmptyIntervalHeaders",S,true);var R=this.getRows();for(var i=0;i<R.length;i++){var j=R[i];j.getCalendarRow().setShowEmptyIntervalHeaders(S);}return this;};c.prototype.setAppointmentsReducedHeight=function(A){this.setProperty("appointmentsReducedHeight",A,true);var R=this.getRows();for(var i=0;i<R.length;i++){var j=R[i];j.getCalendarRow().setAppointmentsReducedHeight(A);}return this;};c.prototype.setAppointmentsVisualization=function(A){this.setProperty("appointmentsVisualization",A,true);var R=this.getRows();for(var i=0;i<R.length;i++){var j=R[i];j.getCalendarRow().setAppointmentsVisualization(A);}return this;};c.prototype.setShowRowHeaders=function(S){this.setProperty("showRowHeaders",S,true);var T=this.getAggregation("table");T.getColumns()[0].setVisible(S);this.$().toggleClass("sapMPlanCalNoHead",!S);x.call(this);z.call(this);return this;};c.prototype.addRow=function(R){this.addAggregation("rows",R,true);R.attachEvent("_change",y,this);var T=this.getAggregation("table");T.addItem(R.getColumnListItem());var i=R.getCalendarRow();i.setStartDate(this.getStartDate());i.setShowIntervalHeaders(this.getShowIntervalHeaders());i.setShowEmptyIntervalHeaders(this.getShowEmptyIntervalHeaders());i.setAppointmentsReducedHeight(this.getAppointmentsReducedHeight());i.setLegend(this.getLegend());i.setAppointmentsVisualization(this.getAppointmentsVisualization());i.attachEvent("select",m,this);i.attachEvent("startDateChange",f,this);i.attachEvent("leaveRow",v,this);i.attachEvent("intervalSelect",h,this);w.call(this);if(this._oTimeInterval||this._oDateInterval||this._oMonthInterval||this._oWeekInterval){var K=this.getViewKey();var V=this._getView(K);var j=V.getIntervalType();var A=this._getIntervals(V);i.setIntervalType(j);i.setIntervals(A);i.setShowSubIntervals(V.getShowSubIntervals());}z.call(this);return this;};c.prototype.insertRow=function(R,i){this.insertAggregation("rows",R,i);R.attachEvent("_change",y,this);var T=this.getAggregation("table");T.insertItem(R.getColumnListItem(),i,true);var j=R.getCalendarRow();j.setStartDate(this.getStartDate());j.setShowIntervalHeaders(this.getShowIntervalHeaders());j.setShowEmptyIntervalHeaders(this.getShowEmptyIntervalHeaders());j.setAppointmentsReducedHeight(this.getAppointmentsReducedHeight());j.setLegend(this.getLegend());j.setAppointmentsVisualization(this.getAppointmentsVisualization());j.attachEvent("select",m,this);j.attachEvent("startDateChange",f,this);j.attachEvent("leaveRow",v,this);j.attachEvent("intervalSelect",h,this);w.call(this);if(this._oTimeInterval||this._oDateInterval||this._oMonthInterval||this._oWeekInterval){var K=this.getViewKey();var V=this._getView(K);var A=V.getIntervalType();var B=this._getIntervals(V);j.setIntervalType(A);j.setIntervals(B);j.setShowSubIntervals(V.getShowSubIntervals());}z.call(this);return this;};c.prototype.removeRow=function(O){var R=this.removeAggregation("rows",O,true);R.detachEvent("_change",y,this);var T=this.getAggregation("table");T.removeItem(R.getColumnListItem(),true);var i=R.getCalendarRow();i.detachEvent("select",m,this);i.detachEvent("startDateChange",f,this);i.detachEvent("leaveRow",v,this);i.detachEvent("intervalSelect",h,this);w.call(this);z.call(this);return R;};c.prototype.removeAllRows=function(){var R=this.removeAllAggregation("rows",true);var T=this.getAggregation("table");T.removeAllItems(true);for(var i=0;i<R.length;i++){var j=R[i];j.detachEvent("_change",y,this);var A=j.getCalendarRow();A.detachEvent("select",m,this);A.detachEvent("startDateChange",f,this);A.detachEvent("leaveRow",v,this);A.detachEvent("intervalSelect",h,this);}w.call(this);z.call(this);return R;};c.prototype.destroyRows=function(){var i=this.destroyAggregation("rows",true);var T=this.getAggregation("table");T.destroyItems(true);w.call(this);z.call(this);return i;};c.prototype.addToolbarContent=function(i){this.addAggregation("toolbarContent",i,true);o.call(this);return this;};c.prototype.insertToolbarContent=function(i,j){this.insertAggregation("toolbarContent",i,j);o.call(this);return this;};c.prototype.removeToolbarContent=function(O){var R=this.removeAggregation("toolbarContent",O,true);o.call(this);return R;};c.prototype.removeAllToolbarContent=function(){var R=this.removeAllAggregation("toolbarContent",true);o.call(this);return R;};c.prototype.destroyToolbarContent=function(){var i=this.destroyAggregation("toolbarContent",true);o.call(this);return i;};c.prototype.indexOfContent=function(i){return this.indexOfToolbarContent(i);};c.prototype.setSingleSelection=function(S){this.setProperty("singleSelection",S,true);x.call(this);z.call(this);if(S){this.selectAllRows(false);}else{w.call(this);}this.$().toggleClass("sapMPlanCalMultiSel",!S);return this;};c.prototype.setNoDataText=function(N){this.setProperty("noDataText",N,true);var T=this.getAggregation("table");T.setNoDataText(N);return this;};c.prototype.setLegend=function(j){this.setAssociation("legend",j,true);var R=this.getRows();for(var i=0;i<R.length;i++){var A=R[i];A.getCalendarRow().setLegend(j);}return this;};c.prototype.addAriaLabelledBy=function(i){this.addAssociation("ariaLabelledBy",i,true);var T=this.getAggregation("table");T.addAriaLabelledBy(i);return this;};c.prototype.removeAriaLabelledBy=function(O){this.removeAssociation("ariaLabelledBy",O,true);var T=this.getAggregation("table");T.removeAriaLabelledBy(O);return this;};c.prototype.removeAllAriaLabelledBy=function(){this.removeAllAssociation("ariaLabelledBy",true);var T=this.getAggregation("table");T.removeAllAriaLabelledBy();T.addAriaLabelledBy(this.getId()+"-Descr");return this;};c.prototype.invalidate=function(O){if(this._bDateRangeChanged||(O&&O instanceof sap.ui.unified.DateRange)){if(this.getDomRef()){var K=this.getViewKey();var V=this._getView(K);var i=V.getIntervalType();switch(i){case sap.ui.unified.CalendarIntervalType.Hour:if(this._oTimeInterval){this._oTimeInterval.invalidate(arguments);}break;case sap.ui.unified.CalendarIntervalType.Day:if(this._oDateInterval){this._oDateInterval.invalidate(arguments);}break;case sap.ui.unified.CalendarIntervalType.Month:if(this._oMonthInterval){this._oMonthInterval.invalidate(arguments);}break;case sap.ui.unified.CalendarIntervalType.Week:if(this._oWeekInterval){this._oWeekInterval.invalidate(arguments);}break;default:throw new Error("Unknown IntervalType: "+i+"; "+this);}}this._bDateRangeChanged=undefined;}else{if(O&&O instanceof sap.m.PlanningCalendarView){this._bCheckView=true;}C.prototype.invalidate.apply(this,arguments);}};c.prototype.removeAllSpecialDates=function(){this._bDateRangeChanged=true;var R=this.removeAllAggregation("specialDates");return R;};c.prototype.destroySpecialDates=function(){this._bDateRangeChanged=true;var D=this.destroyAggregation("specialDates");return D;};c.prototype.removeAllViews=function(){this._bCheckView=true;var R=this.removeAllAggregation("views");return R;};c.prototype.destroyViews=function(){this._bCheckView=true;var D=this.destroyAggregation("views");return D;};c.prototype.getSelectedRows=function(){return this.getRows().filter(function(R){return R.getSelected();});};c.prototype.selectAllRows=function(S){var R=this.getRows();if(!(S&&this.getSingleSelection())){for(var i=0;i<R.length;i++){var j=R[i];j.setSelected(S);}if(this._oSelectAllCheckBox){this._oSelectAllCheckBox.setSelected(S);}}return this;};c.prototype.onsaphomemodifiers=function(E){if((E.metaKey||E.ctrlKey)&&!E.altKey&&!E.shiftKey){var R=this.getRows();var i=R[0];var N=new q.Event("saphome");N._bPlanningCalendar=true;i.getCalendarRow().onsaphome(N);E.preventDefault();E.stopPropagation();}};c.prototype.onsapendmodifiers=function(E){if((E.metaKey||E.ctrlKey)&&!E.altKey&&!E.shiftKey){var R=this.getRows();var i=R[R.length-1];var N=new q.Event("sapend");N._bPlanningCalendar=true;i.getCalendarRow().onsapend(N);E.preventDefault();E.stopPropagation();}};c.prototype._getIntervals=function(V){var i=0;switch(this._iSize){case 0:i=V.getIntervalsS();break;case 1:i=V.getIntervalsM();break;default:i=V.getIntervalsL();break;}return i;};c.prototype._getView=function(K,N){var V=r.call(this);var j;for(var i=0;i<V.length;i++){j=V[i];if(j.getKey()!=K){j=undefined;}else{break;}}if(!j&&!N){throw new Error("PlanningCalendarView with key "+K+"not assigned "+this);}return j;};c.prototype._updateCurrentTimeVisualization=function(U){if(this._sUpdateCurrentTime){q.sap.clearDelayedCall(this._sUpdateCurrentTime);this._sUpdateCurrentTime=undefined;}if(U){var R=this.getRows();for(var i=0;i<R.length;i++){var j=R[i];j.getCalendarRow().updateCurrentTimeVisualization();}}var N=new Date();var S=this.getStartDate();var K=this.getViewKey();var V=this._getView(K);var A=V.getIntervalType();var B=this._getIntervals(V);var T=0;var D=0;var E=0;switch(A){case sap.ui.unified.CalendarIntervalType.Hour:T=60000;D=S.getTime()-3600000;E=S.getTime()+B*3600000;break;case sap.ui.unified.CalendarIntervalType.Day:case sap.ui.unified.CalendarIntervalType.Week:T=1800000;D=S.getTime()-3600000;E=S.getTime()+B*86400000;break;default:T=-1;break;}if(N.getTime()<=E&&N.getTime()>=D&&T>0){this._sUpdateCurrentTime=q.sap.delayedCall(T,this,'_updateCurrentTimeVisualization',[true]);}};function _(E){this.setViewKey(E.getParameter("selectedItem").getKey());this.fireViewChange();}function e(E){var D=new Date(),S;if(this.getViewKey()===sap.ui.unified.CalendarIntervalType.Week){S=this.getStartDate();D.setHours(S.getHours());D.setMinutes(S.getMinutes());D.setSeconds(S.getSeconds());}this.setStartDate(D);this.fireStartDateChange();}function f(E){if(this._bNoStartDateChange){return;}var S=E.oSource.getStartDate();this.setStartDate(new Date(S.getTime()));this.fireStartDateChange();}function g(E){var S=E.oSource.getSelectedDates();var i=new Date(S[0].getStartDate());S[0].setStartDate();var j=a._createUniversalUTCDate(i,undefined,true);var K=this.getViewKey();var V=this._getView(K);var A=V.getIntervalType();switch(A){case sap.ui.unified.CalendarIntervalType.Hour:j.setUTCHours(j.getUTCHours()+1);break;case sap.ui.unified.CalendarIntervalType.Day:case sap.ui.unified.CalendarIntervalType.Week:j.setUTCDate(j.getUTCDate()+1);break;case sap.ui.unified.CalendarIntervalType.Month:j.setUTCMonth(j.getUTCMonth()+1);break;default:throw new Error("Unknown IntervalType: "+A+"; "+this);}j.setUTCMilliseconds(j.getUTCMilliseconds()-1);j=a._createLocalDate(j,true);this.fireIntervalSelect({startDate:i,endDate:j,subInterval:false,row:undefined});}function h(E){var S=E.getParameter("startDate");var i=E.getParameter("endDate");var j=E.getParameter("subInterval");var R=E.oSource._oPlanningCalendarRow;this.fireIntervalSelect({startDate:S,endDate:i,subInterval:j,row:R});}function k(E,N){if(E.size.width<=0){return;}var R=this.getRows();var j;var i=0;var O=this._iSize;p.call(this,E.size.width);if(O!=this._iSize){var K=this.getViewKey();var V=this._getView(K);var A=V.getIntervalType();var B=this._getIntervals(V);for(i=0;i<R.length;i++){j=R[i];var D=j.getCalendarRow();if(B!=D.getIntervals()){D.setIntervals(B);}else{D.handleResize();}}switch(A){case sap.ui.unified.CalendarIntervalType.Hour:if(this._oTimeInterval&&this._oTimeInterval.getItems()!=B){this._oTimeInterval.setItems(B);}break;case sap.ui.unified.CalendarIntervalType.Day:if(this._oDateInterval&&this._oDateInterval.getDays()!=B){this._oDateInterval.setDays(B);}break;case sap.ui.unified.CalendarIntervalType.Month:if(this._oMonthInterval&&this._oMonthInterval.getMonths()!=B){this._oMonthInterval.setMonths(B);}break;case sap.ui.unified.CalendarIntervalType.Week:if(this._oWeekInterval&&this._oWeekInterval.getDays()!=B){this._oWeekInterval.setDays(B);}break;default:throw new Error("Unknown IntervalType: "+A+"; "+this);}x.call(this);}else if(!N){for(i=0;i<R.length;i++){j=R[i];j.getCalendarRow().handleResize();}}}function m(E){var A=E.getParameter("appointment");var M=E.getParameter("multiSelect");var B=E.getParameter("appointments");if(!M){var R=this.getRows();for(var i=0;i<R.length;i++){var D=R[i];var F=D.getCalendarRow();if(E.oSource!=F){var G=D.getAppointments();for(var j=0;j<G.length;j++){var H=G[j];H.setSelected(false);}}}}this.fireAppointmentSelect({appointment:A,appointments:B,multiSelect:M});}function n(E){var j=[];var R=this.getRows();for(var i=0;i<R.length;i++){var A=R[i];var B=A.getColumnListItem();var S=B.getSelected();if(A.getSelected()!=S){A.setProperty("selected",S,true);j.push(A);}}if(!this.getSingleSelection()){w.call(this);}if(j.length>0){this.fireRowSelectionChange({rows:j});}}function o(){var T=this.getAggregation("table");if(this.getToolbarContent().length>0){if(!this._oToolbar){this._oToolbar=new sap.m.OverflowToolbar(this.getId()+"-Toolbar",{design:sap.m.ToolbarDesign.Transpaent});this._oToolbar._oPlanningCalendar=this;this._oToolbar.getContent=function(){return this._oPlanningCalendar.getToolbarContent();};}if(!T.getHeaderToolbar()){T.setHeaderToolbar(this._oToolbar);}}else if(T.getHeaderToolbar()){T.setHeaderToolbar();}this._oToolbar.invalidate();}function p(W){if(W<this._iBreakPointTablet){this._iSize=0;}else if(W<this._iBreakPointDesktop){this._iSize=1;}else{this._iSize=2;}if(q('html').hasClass("sapUiMedia-Std-Phone")){this._iSizeScreen=0;}else if(q('html').hasClass("sapUiMedia-Std-Tablet")){this._iSizeScreen=1;}else{this._iSizeScreen=2;}}function r(){var V=this.getViews();if(V.length==0){if(!this._aViews){this._aViews=[];var i=new sap.m.PlanningCalendarView(this.getId()+"-HourView",{key:sap.ui.unified.CalendarIntervalType.Hour,intervalType:sap.ui.unified.CalendarIntervalType.Hour,description:this._oRB.getText("PLANNINGCALENDAR_HOURS"),intervalsS:6,intervalsM:6,intervalsL:12});this._aViews.push(i);var j=new sap.m.PlanningCalendarView(this.getId()+"-DayView",{key:sap.ui.unified.CalendarIntervalType.Day,intervalType:sap.ui.unified.CalendarIntervalType.Day,description:this._oRB.getText("PLANNINGCALENDAR_DAYS"),intervalsS:7,intervalsM:7,intervalsL:14});this._aViews.push(j);var A=new sap.m.PlanningCalendarView(this.getId()+"-MonthView",{key:sap.ui.unified.CalendarIntervalType.Month,intervalType:sap.ui.unified.CalendarIntervalType.Month,description:this._oRB.getText("PLANNINGCALENDAR_MONTHS"),intervalsS:3,intervalsM:6,intervalsL:12});this._aViews.push(A);var B=new sap.m.PlanningCalendarView(this.getId()+"-WeekView",{key:sap.ui.unified.CalendarIntervalType.Week,intervalType:sap.ui.unified.CalendarIntervalType.Week,description:this._oRB.getText("PLANNINGCALENDAR_WEEK"),intervalsS:7,intervalsM:7,intervalsL:7});this._aViews.push(B);}V=this._aViews;}return V;}function s(){var V=r.call(this);var j=this._oIntervalTypeSelect.getItems();var i=0;var A;if(V.length<j.length){for(i=V.length;i<j.length;i++){A=j[i];this._oIntervalTypeSelect.removeItem(A);A.destroy();}}for(i=0;i<V.length;i++){var B=V[i];A=j[i];if(A){if(A.getKey()!=B.getKey()||A.getText()!=B.getDescription()){A.setKey(B.getKey());A.setText(B.getDescription());A.setTooltip(B.getTooltip());}}else{A=new sap.ui.core.Item(this.getId()+"-"+i,{key:B.getKey(),text:B.getDescription(),tooltip:B.getTooltip()});this._oIntervalTypeSelect.addItem(A);}}}function t(E){var A=E.getParameter("selected");var R=this.getRows();if(A){R=this.getRows().filter(function(i){return!i.getSelected();});}this.selectAllRows(A);this.fireRowSelectionChange({rows:R});}function v(E){var j=E.oSource;var T=E.getParameter("type");var R=this.getRows();var A;var N;var B;var D;var i=0;var F=0;var G;for(i=0;i<R.length;i++){A=R[i];if(A.getCalendarRow()==j){F=i;break;}}switch(T){case"sapup":B=j.getFocusedAppointment();D=B.getStartDate();if(F>0){F--;}N=R[F];N.getCalendarRow().focusNearestAppointment(D);break;case"sapdown":B=j.getFocusedAppointment();D=B.getStartDate();if(F<R.length-1){F++;}N=R[F];N.getCalendarRow().focusNearestAppointment(D);break;case"saphome":if(F>0){N=R[0];G=new q.Event(T);G._bPlanningCalendar=true;N.getCalendarRow().onsaphome(G);}break;case"sapend":if(F<R.length-1){N=R[R.length-1];G=new q.Event(T);G._bPlanningCalendar=true;N.getCalendarRow().onsapend(G);}break;default:break;}}function w(){if(this._oSelectAllCheckBox){var R=this.getRows();var S=this.getSelectedRows();if(R.length==S.length&&S.length>0){this._oSelectAllCheckBox.setSelected(true);}else{this._oSelectAllCheckBox.setSelected(false);}}}function x(){if(this.getSingleSelection()){if(this._oCalendarHeader.getAllCheckBox()){this._oCalendarHeader.setAllCheckBox();}else if(this._oInfoToolbar.getContent().length>2){this._oInfoToolbar.removeContent(this._oSelectAllCheckBox);}}else{if(!this._oSelectAllCheckBox){this._oSelectAllCheckBox=new sap.m.CheckBox(this.getId()+"-All",{text:this._oRB.getText("COLUMNSPANEL_SELECT_ALL")});this._oSelectAllCheckBox.attachEvent("select",t,this);}if(this._iSizeScreen<2||!this.getShowRowHeaders()){var i=this._oInfoToolbar.indexOfContent(this._oSelectAllCheckBox);if(this._iSizeScreen<2){if(i<this._oInfoToolbar.getContent().length-1){this._oInfoToolbar.addContent(this._oSelectAllCheckBox);}}else if(i<0||i>1){if(i>1){this._oInfoToolbar.removeContent(this._oSelectAllCheckBox);}this._oInfoToolbar.insertContent(this._oSelectAllCheckBox,1);}}else{this._oCalendarHeader.setAllCheckBox(this._oSelectAllCheckBox);}}}function y(E){if(E.getParameter("name")=="selected"){w.call(this);}}function z(){var T=this.getAggregation("table");var M=T.getMode();var i;if(this.getSingleSelection()){if(!this.getShowRowHeaders()&&this.getRows().length==1){i=sap.m.ListMode.None;}else{i=sap.m.ListMode.SingleSelectMaster;}}else{i=sap.m.ListMode.MultiSelect;}if(M!=i){T.setMode(i);}}return c;},true);
