/*
 * UI development toolkit for HTML5 (OpenUI5)
 * (c) Copyright 2009-2016 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(['jquery.sap.global','sap/ui/base/ManagedObject','./Manifest','./ComponentMetadata','./Core','sap/ui/thirdparty/URI','jquery.sap.trace'],function(q,M,a,C,b,U){"use strict";function c(u,o){['sap-client','sap-server'].forEach(function(n){var v=u.get(n);if(v&&!o.hasSearch(n)){o.addSearch(n,v);}});}function d(D,m,s,S){if(s){for(var n in D){if(!m[n]&&s[n]&&s[n].uri){m[n]=S;}}}}function g(m,o,k,e){var D=o.getEntry(k);if(D!==undefined&&!q.isPlainObject(D)){return D;}var p,P;if(e&&(p=m.getParent())instanceof C){P=p.getManifestEntry(k,e);}if(P||D){D=q.extend(true,{},P,D);}return D;}function f(o,e){var i=Object.create(Object.getPrototypeOf(o));i._oMetadata=o;i._oManifest=e;for(var m in o){if(!/^(getManifest|getManifestEntry|getMetadataVersion)$/.test(m)&&typeof o[m]==="function"){i[m]=o[m].bind(o);}}i.getManifest=function(){return e&&e.getJson();};i.getManifestEntry=function(k,n){return g(o,e,k,n);};i.getMetadataVersion=function(){return 2;};return i;}function r(e,o){var i=M._sOwnerId;try{M._sOwnerId=o;return e.call();}finally{M._sOwnerId=i;}}var h=M.extend("sap.ui.core.Component",{constructor:function(i,s){var e=Array.prototype.slice.call(arguments);if(typeof i!=="string"){s=i;i=undefined;}if(s&&typeof s._metadataProxy==="object"){this._oMetadataProxy=s._metadataProxy;this._oManifest=s._metadataProxy._oManifest;delete s._metadataProxy;this.getMetadata=function(){return this._oMetadataProxy;};}if(s&&typeof s._cacheTokens==="object"){this._mCacheTokens=s._cacheTokens;delete s._cacheTokens;}if(s&&typeof s._manifestModels==="object"){this._mManifestModels=s._manifestModels;delete s._manifestModels;}else{this._mManifestModels={};}this._mServices={};M.apply(this,e);},metadata:{stereotype:"component","abstract":true,specialSettings:{componentData:'any'},version:"0.0",includes:[],dependencies:{libs:[],components:[],ui5version:""},config:{},customizing:{},library:"sap.ui.core"}},C);h.prototype.getManifest=function(){if(!this._oManifest){return this.getMetadata().getManifest();}else{return this._oManifest.getJson();}};h.prototype.getManifestEntry=function(k){return this._getManifestEntry(k);};h.prototype._getManifestEntry=function(k,m){if(!this._oManifest){return this.getMetadata().getManifestEntry(k,m);}else{return g(this.getMetadata(),this._oManifest,k,m);}};h.prototype.getManifestObject=function(){if(!this._oManifest){return this.getMetadata().getManifestObject();}else{return this._oManifest;}};h.activateCustomizing=function(s){};h.deactivateCustomizing=function(s){};h.getOwnerIdFor=function(o){var O=(o instanceof M)&&o._sOwnerId;return O||undefined;};h.getOwnerComponentFor=function(o){var O=h.getOwnerIdFor(o);return O&&sap.ui.component(O);};h.prototype.runAsOwner=function(e){return r(e,this.getId());};h.prototype.getInterface=function(){return this;};h.prototype._initCompositeSupport=function(s){if(this._oManifest){var m=this.getManifest();var u=m&&m["sap.ui5"];var e=u&&u["extends"];var E=e&&e["extensions"];if(E){var i=sap.ui.requireSync('sap/ui/core/CustomizingConfiguration');i.activateForComponentInstance(this);}}this.getMetadata().onInitComponent();this.oComponentData=s&&s.componentData;this.getMetadata().init();this.initComponentModels();if(this.onWindowError){this._fnWindowErrorHandler=q.proxy(function(o){var k=o.originalEvent;this.onWindowError(k.message,k.filename,k.lineno);},this);q(window).bind("error",this._fnWindowErrorHandler);}if(this.onWindowBeforeUnload){this._fnWindowBeforeUnloadHandler=q.proxy(this.onWindowBeforeUnload,this);q(window).bind("beforeunload",this._fnWindowBeforeUnloadHandler);}if(this.onWindowUnload){this._fnWindowUnloadHandler=q.proxy(this.onWindowUnload,this);q(window).bind("unload",this._fnWindowUnloadHandler);}};h.prototype.destroy=function(){for(var L in this._mServices){if(this._mServices[L].instance){this._mServices[L].instance.destroy();}}delete this._mServices;for(var m in this._mManifestModels){this._mManifestModels[m].destroy();}delete this._mManifestModels;if(this._fnWindowErrorHandler){q(window).unbind("error",this._fnWindowErrorHandler);delete this._fnWindowErrorHandler;}if(this._fnWindowBeforeUnloadHandler){q(window).unbind("beforeunload",this._fnWindowBeforeUnloadHandler);delete this._fnWindowBeforeUnloadHandler;}if(this._fnWindowUnloadHandler){q(window).unbind("unload",this._fnWindowUnloadHandler);delete this._fnWindowUnloadHandler;}if(this._oEventBus){this._oEventBus.destroy();delete this._oEventBus;}M.prototype.destroy.apply(this,arguments);sap.ui.getCore().getMessageManager().unregisterObject(this);if(this._oManifest){var e=sap.ui.require('sap/ui/core/CustomizingConfiguration');if(e){e.deactivateForComponentInstance(this);}}this.getMetadata().onExitComponent();};h.prototype.getComponentData=function(){return this.oComponentData;};h.prototype.getEventBus=function(){if(!this._oEventBus){var E=sap.ui.requireSync("sap/ui/core/EventBus");this._oEventBus=new E();}return this._oEventBus;};h.prototype.initComponentModels=function(){var m=this.getMetadata();if(m.isBaseClass()){return;}var o=this._getManifestEntry("/sap.app/dataSources",true)||{};var e=this._getManifestEntry("/sap.ui5/models",true)||{};this._initComponentModels(e,o);};h.prototype._initComponentModels=function(m,D){var A=h._createManifestModelConfigurations({models:m,dataSources:D,component:this,mergeParent:true,cacheTokens:this._mCacheTokens});if(!A){return;}var e={};for(var s in A){if(!this._mManifestModels[s]){e[s]=A[s];}}var i=h._createManifestModels(e,this.toString());for(var s in i){this._mManifestModels[s]=i[s];}for(var s in this._mManifestModels){var o=this._mManifestModels[s];this.setModel(o,s||undefined);}};h.prototype.getService=function(L){var S=sap.ui.requireSync("sap/ui/core/service/ServiceFactoryRegistry");if(!this._mServices[L]){this._mServices[L]={};this._mServices[L].promise=new Promise(function(R,e){var s=this.getManifestEntry("/sap.ui5/services/"+L+"/factoryName");if(!s){e(new Error("Service "+L+" not declared!"));return;}var o=S.get(s);if(o){o.createInstance({scopeObject:this,scopeType:"component"}).then(function(i){if(!this.bIsDestroyed){this._mServices[L].instance=i;this._mServices[L].interface=i.getInterface();R(this._mServices[L].interface);}else{e(new Error("Service "+L+" could not be loaded as its Component was destroyed."));}}.bind(this)).catch(e);}else{var E="The ServiceFactory "+s+" for Service "+L+" not found in ServiceFactoryRegistry!";var O=this.getManifestEntry("/sap.ui5/services/"+L+"/optional");if(!O){q.sap.log.error(E);}e(new Error(E));}}.bind(this));}return this._mServices[L].promise;};function j(o){var s=o.getManifestEntry("/sap.ui5/services");for(var S in s){if(s[S].lazy===false){o.getService(S);}}}h._createManifestModelConfigurations=function(o){var e=o.component;var m=o.manifest||e.getManifestObject();var k=o.mergeParent;var n=o.cacheTokens||{};var L=e?e.toString():m.getComponentName();if(!o.models){return null;}var p={models:o.models,dataSources:o.dataSources||{},origin:{dataSources:{},models:{}}};if(e&&k){var s=e.getMetadata();while(s&&s instanceof C){var t=s.getManifestObject();var u=s.getManifestEntry("/sap.app/dataSources");d(p.dataSources,p.origin.dataSources,u,t);var v=s.getManifestEntry("/sap.ui5/models");d(p.models,p.origin.models,v,t);s=s.getParent();}}var w=q.sap.getUriParameters();var x={};for(var y in p.models){var z=p.models[y];var I=false;if(typeof z==='string'){z={dataSource:z};}if(z.dataSource){var D=p.dataSources&&p.dataSources[z.dataSource];if(typeof D==='object'){if(D.type===undefined){D.type='OData';}if(!z.type){switch(D.type){case'OData':if(D.settings&&D.settings.odataVersion==="4.0"){z.type='sap.ui.model.odata.v4.ODataModel';}else{z.type='sap.ui.model.odata.v2.ODataModel';}break;case'JSON':z.type='sap.ui.model.json.JSONModel';break;case'XML':z.type='sap.ui.model.xml.XMLModel';break;default:}}if(!z.uri){z.uri=D.uri;I=true;if(n.dataSources&&z.type==='sap.ui.model.odata.v2.ODataModel'){var A=n.dataSources[D.uri];if(A){z.settings=z.settings||{};z.settings.metadataUrlParams=z.settings.metadataUrlParams||{};z.settings.metadataUrlParams["sap-context-token"]=A;if(typeof z.settings.metadataUrlParams["sap-language"]==="undefined"){z.settings.metadataUrlParams["sap-language"]=sap.ui.getCore().getConfiguration().getSAPLogonLanguage();}}}}if(D.type==='OData'&&D.settings&&typeof D.settings.maxAge==="number"){z.settings=z.settings||{};z.settings.headers=z.settings.headers||{};z.settings.headers["Cache-Control"]="max-age="+D.settings.maxAge;}if(D.type==='OData'&&D.settings&&D.settings.annotations){var B=D.settings.annotations;for(var i=0;i<B.length;i++){var E=p.dataSources[B[i]];if(!E){q.sap.log.error("Component Manifest: ODataAnnotation \""+B[i]+"\" for dataSource \""+z.dataSource+"\" could not be found in manifest","[\"sap.app\"][\"dataSources\"][\""+B[i]+"\"]",L);continue;}if(E.type!=='ODataAnnotation'){q.sap.log.error("Component Manifest: dataSource \""+B[i]+"\" was expected to have type \"ODataAnnotation\" but was \""+E.type+"\"","[\"sap.app\"][\"dataSources\"][\""+B[i]+"\"]",L);continue;}if(!E.uri){q.sap.log.error("Component Manifest: Missing \"uri\" for ODataAnnotation \""+B[i]+"\"","[\"sap.app\"][\"dataSources\"][\""+B[i]+"\"]",L);continue;}var F=new U(E.uri);if(n.dataSources&&z.type==='sap.ui.model.odata.v2.ODataModel'){var A=n.dataSources[E.uri];if(A){F.setQuery("sap-context-token",A);if(!F.hasQuery("sap-language")){F.setQuery("sap-language",sap.ui.getCore().getConfiguration().getSAPLogonLanguage());}}}var G=p.origin.dataSources[B[i]]||m;var H=G.resolveUri(F).toString();z.settings=z.settings||{};z.settings.annotationURI=z.settings.annotationURI||[];z.settings.annotationURI.push(H);}}}else{q.sap.log.error("Component Manifest: dataSource \""+z.dataSource+"\" for model \""+y+"\" not found or invalid","[\"sap.app\"][\"dataSources\"][\""+z.dataSource+"\"]",L);}}if(!z.type){q.sap.log.error("Component Manifest: Missing \"type\" for model \""+y+"\"","[\"sap.ui5\"][\"models\"][\""+y+"\"]",L);continue;}if(z.type==='sap.ui.model.odata.ODataModel'&&(!z.settings||z.settings.json===undefined)){z.settings=z.settings||{};z.settings.json=true;}if(z.uri){var J=new U(z.uri);var K=(I?p.origin.dataSources[z.dataSource]:p.origin.models[y])||m;J=K.resolveUri(J);if(z.dataSource){c(w,J);}z.uri=J.toString();}if(z.uriSettingName===undefined){switch(z.type){case'sap.ui.model.odata.ODataModel':case'sap.ui.model.odata.v2.ODataModel':case'sap.ui.model.odata.v4.ODataModel':z.uriSettingName='serviceUrl';break;case'sap.ui.model.resource.ResourceModel':z.uriSettingName='bundleUrl';break;default:}}var S;var N;if(e){N=e.getComponentData();}else{N=o.componentData;}S=N&&N.startupParameters&&N.startupParameters["sap-system"];if(!S){S=w.get("sap-system");}var O=false;var P;if(S&&["sap.ui.model.odata.ODataModel","sap.ui.model.odata.v2.ODataModel"].indexOf(z.type)!=-1){O=true;P=sap.ui.requireSync("sap/ui/model/odata/ODataUtils");}if(z.uri){if(O){z.preOriginBaseUri=z.uri.split("?")[0];z.uri=P.setOrigin(z.uri,{alias:S});z.postOriginBaseUri=z.uri.split("?")[0];}if(z.uriSettingName!==undefined){z.settings=z.settings||{};if(!z.settings[z.uriSettingName]){z.settings[z.uriSettingName]=z.uri;}}else if(z.settings){z.settings=[z.uri,z.settings];}else{z.settings=[z.uri];}}else{if(O&&z.uriSettingName!==undefined&&z.settings&&z.settings[z.uriSettingName]){z.preOriginBaseUri=z.settings[z.uriSettingName].split("?")[0];z.settings[z.uriSettingName]=P.setOrigin(z.settings[z.uriSettingName],{alias:S});z.postOriginUri=z.settings[z.uriSettingName].split("?")[0];}}if(O&&z.settings&&z.settings.annotationURI){var Q=[].concat(z.settings.annotationURI);var R=[];for(var i=0;i<Q.length;i++){R.push(P.setAnnotationOrigin(Q[i],{alias:S,preOriginBaseUri:z.preOriginBaseUri,postOriginBaseUri:z.postOriginBaseUri}));}z.settings.annotationURI=R;}if(z.settings&&!q.isArray(z.settings)){z.settings=[z.settings];}x[y]=z;}return x;};h._createManifestModels=function(m,L){var e={};for(var s in m){var o=m[s];try{q.sap.require(o.type);}catch(E){q.sap.log.error("Component Manifest: Class \""+o.type+"\" for model \""+s+"\" could not be loaded. "+E,"[\"sap.ui5\"][\"models\"][\""+s+"\"]",L);continue;}var i=q.sap.getObject(o.type);if(!i){q.sap.log.error("Component Manifest: Class \""+o.type+"\" for model \""+s+"\" could not be found","[\"sap.ui5\"][\"models\"][\""+s+"\"]",L);continue;}var A=[null].concat(o.settings||[]);var F=i.bind.apply(i,A);var k=new F();e[s]=k;}return e;};h._fnLoadComponentCallback=null;h._fnOnInstanceCreated=null;sap.ui.component=function(v){if(!v){throw new Error("sap.ui.component cannot be called without parameter!");}if(typeof v==='string'){return sap.ui.getCore().getComponent(v);}function e(o){var n=v.name,I=v.id,k=v.componentData,m=n+'.Component',S=v.settings;var p=new o(q.extend({},S,{id:I,componentData:k,_cacheTokens:v.asyncHints&&v.asyncHints.cacheTokens}));q.sap.log.info("Component instance Id = "+p.getId());var H=p.getMetadata().handleValidation()!==undefined||v.handleValidation;if(H){if(p.getMetadata().handleValidation()!==undefined){H=p.getMetadata().handleValidation();}else{H=v.handleValidation;}sap.ui.getCore().getMessageManager().registerObject(p,H);}j(p);if(typeof h._fnOnInstanceCreated==="function"){var P=h._fnOnInstanceCreated(p,v);if(v.async&&P instanceof Promise){return P.then(function(){return p;});}}return p;}var i=l(v,{failOnError:true,createModels:true,waitFor:v.asyncHints&&v.asyncHints.waitFor});if(v.async){var s=M._sOwnerId;return i.then(function(o){return r(function(){return e(o);},s);});}else{return e(i);}};sap.ui.component.load=function(o,F){return l(o,{failOnError:F,preloadOnly:o.asyncHints&&o.asyncHints.preloadOnly});};function l(o,O){var n=o.name,u=o.url,k=sap.ui.getCore().getConfiguration(),m=/^(sync|async)$/.test(k.getComponentPreload()),p=typeof o.manifestFirst!=="undefined"?o.manifestFirst:k.getManifestFirst(),s,t,w;q.sap.interaction.setStepComponent(n);if(o.manifestUrl){s=a.load({manifestUrl:o.manifestUrl,componentName:n,async:o.async});}if(s&&!o.async){n=s.getComponentName();}if(!(s&&o.async)){if(!n){throw new Error("The name of the component is undefined.");}}if(n&&u){q.sap.registerModulePath(n,u);}if(p&&!s){s=a.load({manifestUrl:q.sap.getModulePath(n)+"/manifest.json",componentName:n,async:o.async,failOnError:false});}function x(){var e=n+'.Component';q.sap.require(e);var i=q.sap.getObject(e);if(!i){var v="The specified component controller '"+e+"' could not be found!";if(O.failOnError){throw new Error(v);}else{q.sap.log.warning(v);}}if(s){var H=f(i.getMetadata(),s);var I=function(){var J=Array.prototype.slice.call(arguments);var S;if(J.length===0||typeof J[0]==="object"){S=J[0]=J[0]||{};}else if(typeof J[0]==="string"){S=J[1]=J[1]||{};}S._metadataProxy=H;if(t){S._manifestModels=t;}var K=Object.create(i.prototype);i.apply(K,J);return K;};I.getMetadata=function(){return H;};I.extend=function(){throw new Error("Extending Components created by Manifest is not supported!");};return I;}else{return i;}}function y(v,i){if(typeof v==='object'){if(v.url){q.sap.registerModulePath(v.name,v.url);}return(v.lazy&&i!==true)?undefined:v.name;}return v;}function z(i,v){var H=i+'.Component',P;if(m&&i!=null&&!q.sap.isDeclared(H,true)){if(v){P=q.sap.getResourceName(H,'-preload.js');return q.sap._loadJSResourceAsync(P,true);}try{P=H+'-preload';q.sap.require(P);}catch(e){q.sap.log.warning("couldn't preload component from "+P+": "+((e&&e.message)||e));}}}function A(e,s,i){var P=[];var v=i?function(N){P.push(N);}:q.noop;s.defineResourceRoots();var L=s.getEntry("/sap.ui5/dependencies/libs");if(L){var H=[];for(var I in L){if(!L[I].lazy){H.push(I);}}if(H.length>0){q.sap.log.info("Component \""+e+"\" is loading libraries: \""+H.join(", ")+"\"");v(sap.ui.getCore().loadLibraries(H,{async:i}));}}var J=s.getEntry("/sap.ui5/extends/component");if(J){v(z(J,i));}var K=s.getEntry("/sap.ui5/dependencies/components");if(K){for(var e in K){if(!K[e].lazy){v(z(e,i));}}}return i?Promise.all(P):undefined;}if(o.async){var B=o.asyncHints||{},D=[],E=function(P){if(P){D.push(P);}},F=function(e){if(s&&O.createModels&&q.sap.getUriParameters().get("sap-ui-xx-preload-component-models-first")==="true"){E(s.then(e));}else{E(e());}},G=function($){return $;};if(s&&O.createModels){E(s.then(function(s){var e=q.extend(true,{},s.getEntry("/sap.app/dataSources"));var i=q.extend(true,{},s.getEntry("/sap.ui5/models"));var v=h._createManifestModelConfigurations({models:i,dataSources:e,manifest:s,componentData:o.componentData,cacheTokens:B.cacheTokens});if(v){var P=q.sap.getUriParameters().get("sap-ui-xx-preload-component-models-"+s.getComponentName());var H=P&&P.split(",");var I={};for(var J in v){var K=v[J];if(!K.preload&&H&&H.indexOf(J)>-1){K.preload=true;q.sap.log.warning("FOR TESTING ONLY!!! Activating preload for model \""+J+"\" ("+K.type+")",s.getComponentName(),"sap.ui.core.Component");}if(K.preload){if(q.sap.isDeclared(K.type,true)){I[J]=K;}else{q.sap.log.warning("Can not preload model \""+J+"\" as required class has not been loaded: \""+K.type+"\"",s.getComponentName(),"sap.ui.core.Component");}}}if(Object.keys(I).length>0){t=h._createManifestModels(I,s.getComponentName());}}return s;}));}if(B.preloadBundles){q.each(B.preloadBundles,function(i,v){F(function(){return q.sap._loadJSResourceAsync(y(v,true),true);});});}if(B.libs){F(function(){return sap.ui.getCore().loadLibraries(B.libs.map(y).filter(G));});}if(!s){E(z(n,true));}else{E(s.then(function(s){var e=s.getComponentName();if(u){q.sap.registerModulePath(e,u);}return z(e,true);}));w=function(L){if(typeof h._fnLoadComponentCallback==="function"){var e=q.extend(true,{},o);var i=q.extend(true,{},L);try{h._fnLoadComponentCallback(e,i);}catch(v){q.sap.log.error("Callback for loading the component \""+s.getComponentName()+"\" run into an error. The callback was skipped and the component loading resumed.",v,"sap.ui.core.Component");}}};}if(B.components){q.each(B.components,function(i,v){F(function(){return z(y(v),true);});});}return Promise.all(D).then(function(v){if(s&&w){s.then(w);}return v;}).then(function(v){q.sap.log.debug("Component.load: all promises fulfilled, then "+v);if(s){return s.then(function(L){s=L;n=s.getComponentName();return A(n,s,true);});}else{return v;}}).then(function(){return O.preloadOnly?true:x();}).then(function(e){var i=O.waitFor;if(i){var P=Array.isArray(i)?i:[i];return Promise.all(P).then(function(){return e;});}return e;}).catch(function(e){if(t){for(var n in t){var i=t[n];if(i&&typeof i.destroy==="function"){i.destroy();}}}throw e;});}if(s){A(n,s);}z(n);return x();}return h;});
