/*!
 * UI development toolkit for HTML5 (OpenUI5)
 * (c) Copyright 2009-2016 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(['jquery.sap.global','sap/ui/thirdparty/URI','../Element'],function(q,U,E){"use strict";var c=window["sap-ui-config"]||{};var s=0;if(c['xx-nosync']==='warn'||/(?:\?|&)sap-ui-xx-nosync=(?:warn)/.exec(window.location.search)){s=1;}if(c['xx-nosync']===true||c['xx-nosync']==='true'||/(?:\?|&)sap-ui-xx-nosync=(?:x|X|true)/.exec(window.location.search)){s=2;}var P={};var p=null;var t=null;var a=[];var r=/url[\s]*\('?"?([^\'")]*)'?"?\)/;function b(){p=null;}function d(u,T){var M=r.exec(u);if(M){var i=new U(M[1]);if(i.is("relative")){var N=i.absoluteTo(T).normalize().path();u="url('"+N+"')";}}return u;}function m(C,N,T){for(var i in N){if(typeof C[i]==="undefined"){C[i]=d(N[i],T);}}return C;}function e(N,T){if(typeof N["default"]!=="object"){N={"default":N,"scopes":{}};}p=p||{};p["default"]=p["default"]||{};p["scopes"]=p["scopes"]||{};m(p["default"],N["default"],T);if(typeof N["scopes"]==="object"){for(var S in N["scopes"]){p["scopes"][S]=p["scopes"][S]||{};m(p["scopes"][S],N["scopes"][S],T);}}}function f(C){q("link[id^=sap-ui-theme-]").each(function(){C(this.getAttribute("id"),this.href);});}function l(i,S){var T=new U(S).filename("").query("").toString();var L=document.getElementById(i);var $=q(L);if($.length>0&&q.sap.getUriParameters().get("sap-ui-xx-no-inline-theming-parameters")!=="true"){var D=$.css("background-image");var k=/\(["']data:text\/plain;utf-8,(.*)["']\)$/i.exec(D);if(k&&k.length>=2){var u=k[1];if(u.charAt(0)!=="{"&&u.charAt(u.length-1)!=="}"){try{u=decodeURI(u);}catch(v){q.sap.log.warning("Could not decode theme parameters URI from "+y);}}try{var w=q.parseJSON(u);e(w,T);return;}catch(v){q.sap.log.warning("Could not parse theme parameters from "+y+". Loading library-parameters.json as fallback solution.");}}}var R,x;var y=S.replace(/\/library([^\/.]*)\.(?:css|less)($|[?#])/,function(z,A,B){return"/library-parameters.json"+(B?B:"");});if(s===2){q.sap.log.error("[nosync] Loading library-parameters.json ignored",y,"sap.ui.core.theming.Parameters");return;}else if(s===1){q.sap.log.error("[nosync] Loading library-parameters.json with sync XHR",y,"sap.ui.core.theming.Parameters");}R=q.sap.sjax({url:y,dataType:'json'});if(R.success){x=R.data;if(q.isArray(x)){for(var j=0;j<x.length;j++){var w=x[j];e(w,T);}}else{e(x,T);}}else{q.sap.log.error("Could not load theme parameters from: "+y,R.error);}}function g(){if(!p){e({},"");t=sap.ui.getCore().getConfiguration().getTheme();f(l);}return p;}function h(){a.forEach(function(i){l("sap-ui-theme-"+i.id,i.url);});a=[];}P._addLibraryTheme=function(T,C){if(p){a.push({id:T,url:C});}};function n(O){var i=g();if(O.scopeName){i=i["scopes"][O.scopeName];}else{i=i["default"];}var j=i[O.parameterName];if(typeof j==="undefined"&&typeof O.parameterName==="string"){var I=O.parameterName.indexOf(":");if(I!==-1){O.parameterName=O.parameterName.substr(I+1);}j=i[O.parameterName];}if(O.loadPendingParameters&&typeof j==="undefined"){h();j=n({parameterName:O.parameterName,scopeName:O.scopeName,loadPendingParameters:false});}return j;}function o(j,S){for(var i=0;i<S.length;i++){var C=S[i];for(var k=0;k<C.length;k++){var u=C[k];var v=n({parameterName:j,scopeName:u});if(v){return v;}}}return n({parameterName:j});}P._getScopes=function(A){if(A&&!p){return;}var i=g();var S=Object.keys(i["scopes"]);return S;};P.getActiveScopesFor=function(i){var S=[];if(i instanceof E){var j=i.getDomRef();h();var k=this._getScopes();if(j){var N=function(u){var v=j.classList;return v&&v.contains(u);};while(j){var F=k.filter(N);if(F.length>0){S.push(F);}j=j.parentNode;}}else{var C=function(u){return typeof i.hasStyleClass==="function"&&i.hasStyleClass(u);};while(i){var F=k.filter(C);if(F.length>0){S.push(F);}i=typeof i.getParent==="function"&&i.getParent();}}}return S;};P.get=function(N,k){var u;if(!sap.ui.getCore().isInitialized()){q.sap.log.warning("Called sap.ui.core.theming.Parameters.get() before core has been initialized. "+"This could lead to bad performance and sync XHR as inline parameters might not be available, yet. "+"Consider using the API only when required, e.g. onBeforeRendering.");}if(arguments.length===0){h();var v=g();return q.extend({},v["default"]);}if(!N){return undefined;}if(k instanceof E){h();var S=this.getActiveScopesFor(k);if(typeof N==="string"){return o(N,S);}else if(Array.isArray(N)){var w={};for(var j=0;j<N.length;j++){var x=N[j];w[x]=o(x,S);}return w;}}else{if(typeof N==="string"){u=n({parameterName:N,loadPendingParameters:true});return u;}else if(Array.isArray(N)){var w={};for(var i=0;i<N.length;i++){var x=N[i];w[x]=P.get(x);}return w;}}};P._setOrLoadParameters=function(L){p={"default":{},"scopes":{}};t=sap.ui.getCore().getConfiguration().getTheme();f(function(i,H){var j=i.substr(13);if(L[j]){q.extend(p["default"],L[j]);}else{l(i,H);}});};P.reset=function(){var O=arguments[0]===true;if(!O||sap.ui.getCore().getConfiguration().getTheme()!==t){b();}};P._getThemeImage=function(i,F){i=i||"sapUiGlobalLogo";var j=P.get(i);if(j){var k=r.exec(j);if(k){j=k[1];}else if(j==="''"||j==="none"){j=null;}}if(!!F&&!j){return sap.ui.resource('sap.ui.core','themes/base/img/1x1.gif');}return j;};return P;},true);
